LootJS.modifiers(event => {
    event.addLootTableModifier(/.*/).removeLoot("minecraft:flint_and_steel");
    event.addLootTableModifier(/.*/).removeLoot("pneumaticcraft:compressed_stone");
    event.addLootTableModifier(/.*/).removeLoot("pneumaticcraft:ingot_iron_compressed");
    event.addLootTableModifier(/.*/).removeLoot("pneumaticcraft:heat_frame");
    event.addLootTableModifier(/.*/).removeLoot("pneumaticcraft:spawner_agitator");
    event.addLootTableModifier(/.*/).removeLoot("botania:manasteel_ingot");
    event.addLootTableModifier(/.*/).removeLoot("minecraft:enchanted_golden_apple");
    event.addLootTableModifier(/.*/).removeLoot("minecraft:bundle");
    event.addLootTableModifier(/.*/).removeLoot("enderio:dark_steel_ingot");
    event.addLootTableModifier(/.*/).removeLoot("evilcraft:condensed_blood");
    event.addLootTableModifier(/.*/).removeLoot("twilightforest:uncrafting_table");
    event.addLootTableModifier(/.*/).removeLoot("minecraft:ender_eye");
    event.addLootTableModifier(/.*/).removeLoot("rats:chunky_cheese_token");
    event.addLootTableModifier(/.*/).removeLoot("rats:token_piece");
    event.addLootTableModifier(/.*/).removeLoot("rats:token_fragment");
    event.addLootTableModifier(/.*/).removeLoot("endrem:wither_eye");
});

LootJS.modifiers((event) => {
    event.addLootTableModifier("minecraft:entities/bee").randomChance(0.6).addLoot("minecraft:honeycomb"); //Bee - Honeycomb
    event.addLootTableModifier("/.*enderman.*/").randomChance(0.1).addLoot("enderio:enderman_head"); //Enderman - Head
    event.addLootTableModifier("/.*cataclysm:entities/the_harbinger.*/").addLoot("endrem:cursed_eye"); //Harbinger - Eye
    event.addLootTableModifier("/.*cataclysm:entities/netherite_monstrosity.*/").addLoot("endrem:lost_eye"); //Netherite Monstrosity - Eye
    event.addLootTableModifier("/.*cataclysm:entities/ignis.*/").addLoot("endrem:nether_eye"); //Ignis - Eye
    event.addLootTableModifier("/.*cataclysm:entities/scylla.*/").addLoot("endrem:cold_eye"); //Summoner - Eye
    event.addLootTableModifier("/.*cataclysm:entities/the_leviathan.*/").addLoot("endrem:rogue_eye"); //Leviathan - Eye
    event.addLootTableModifier("/.*cataclysm:entities/ender_guardian.*/").addLoot("endrem:guardian_eye"); //Ender Guardian - Eye
    event.addLootTableModifier("/.*cataclysm:entities/maledictus.*/").addLoot("endrem:magical_eye"); //Maledictus - Eye
    event.addLootTableModifier("/.*cataclysm:entities/ancient_remnant.*/").addLoot("endrem:witch_eye"); //Ancient Remnant - Eye
    event.addLootTableModifier("aether:entities/slider").addLoot("endrem:corrupted_eye"); //Slider - Eye
    event.addLootTableModifier("aether:entities/valkyrie_queen").addLoot("endrem:evil_eye"); //Valkyrie Queen - Eye
    event.addLootTableModifier("aether:entities/sun_spirit").addLoot("endrem:old_eye"); //Sun Spirit - Eye
    event.addLootTableModifier("block_factorys_bosses:entities/underworld_knight").addLoot("endrem:wither_eye"); //Sun Spirit - Eye
    event.addLootTableModifier("aether:entities/slider").addLoot("kubejs:slider_soul"); //Slider - Soul
    event.addLootTableModifier("aether:entities/valkyrie_queen").addLoot("kubejs:valkyrie_queen_soul"); //Valkyrie Queen - Soul
    event.addLootTableModifier("aether:entities/sun_spirit").addLoot("kubejs:sun_spirit_soul"); //Sun Spirit - Soul

    event.addLootTableModifier("perspatium:chests/ruined_space_center_rocket").replaceLoot("ad_astra:steel_ingot", "alltheores:steel_ingot");
    event.addLootTableModifier("perspatium:chests/ruined_space_center_generic").replaceLoot("ad_astra:steel_ingot", "alltheores:steel_ingot");
    event.addLootTableModifier("perspatium:chests/glacian_peak_tier_2").replaceLoot("ad_astra:steel_ingot", "alltheores:steel_ingot");
    event.addLootTableModifier("perspatium:chests/glacian_peak_tier_1").replaceLoot("ad_astra:steel_ingot", "alltheores:steel_ingot");
});